Range-v3 Range algorithms, views, and actions for the Standard Library |

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
ranges::v3::meta::curry< F, Q > Struct Template Reference
Metaprogramming

## Description

### template<typename F, typename Q = quote<list>>
struct ranges::v3::meta::curry< F, Q >

A Metafunction Class that takes a bunch of arguments, bundles them into a type list, and then calls the Metafunction Class `F` with the type list.

Inheritance diagram for ranges::v3::meta::curry< F, Q >: